## libticonv 1.1.0

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/libticonv
pkglibdir = $(libdir)/libticonv
pkgincludedir = $(includedir)/libticonv
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libticonv-1.1.0/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/libticonv-1.1.0/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /tmp/libticonv-1.1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/libticonv-1.1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/libticonv-1.1.0/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D__LINUX__
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_LIBVERSION = 3:4:0
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /tmp/libticonv-1.1.0/missing --run makeinfo
OBJDUMP = objdump
OBJEXT = o
OS_WIN32_FALSE = 
OS_WIN32_TRUE = #
PACKAGE = libticonv
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticonv
PACKAGE_STRING = libticonv 1.1.0
PACKAGE_TARNAME = libticonv
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
RC = windres
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TFDOCGEN = yes
USE_DOCGEN_FALSE = #
USE_DOCGEN_TRUE = 
USE_ICONV_FALSE = 
USE_ICONV_TRUE = #
VERSION = 1.1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /tmp/libticonv-1.1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
BASE = ticonv
EXTRA_DIST = $(BASE).rc
#noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  build/mingw/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

RC	?= windres

#all: $(BASE)-rc.o

#$(BASE)-rc.o : $(BASE).rc
#	$(RC) $(BASE).rc $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libticonv 1.1.4

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libticonv
pkgincludedir = $(includedir)/libticonv
pkglibdir = $(libdir)/libticonv
pkglibexecdir = $(libexecdir)/libticonv
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = i686-w64-mingw32
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = i686-w64-mingw32-ar
AS = i686-w64-mingw32-as
AUTOCONF = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/missing --run automake-1.11
AWK = gawk
CC = i686-w64-mingw32-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os -g3 -Wall -W -Wno-unused-parameter -Wshadow -Wwrite-strings -Wredundant-decls -Werror=declaration-after-statement -Werror=implicit-function-declaration -D_FORTIFY_SOURCE=2 -D__WIN32__ -D__MINGW32__ -mms-bitfields
CPP = i686-w64-mingw32-gcc -E
CPPFLAGS = -I/home/debrouxl/lpg/deps/gtk-win32/include -I/usr/i686-w64-mingw32/include/ddk -I/home/debrouxl/lpg/depsprefix/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = i686-w64-mingw32-dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = .exe
FGREP = /bin/grep -F
GLIB_CFLAGS = -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
GLIB_LIBS = -L/target/lib -lglib-2.0 -lintl  
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/i686-w64-mingw32-ld
LDFLAGS = -L/home/debrouxl/lpg/deps/gtk-win32/lib -I/home/debrouxl/lpg/depsprefix/lib
LIBOBJS =  ${LIBOBJDIR}lstat$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}lstat$U.lo
LT_LIBVERSION = 7:4:0
MAINT = #
MAKEINFO = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/i686-w64-mingw32-nm -B
NMEDIT = 
OBJDUMP = i686-w64-mingw32-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libticonv
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticonv
PACKAGE_STRING = libticonv 1.1.4
PACKAGE_TARNAME = libticonv
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.4
PATH_SEPARATOR = :
PKG_CONFIG = /home/debrouxl/bin/i686-w64-mingw32-pkg-config
PKG_CONFIG_LIBDIR = /home/debrouxl/lpg/pkgconfig
PKG_CONFIG_PATH = /home/debrouxl/lpg/packages/lib/pkgconfig:/home/debrouxl/lpg/deps/gtk-win32/lib/pkgconfig:/home/debrouxl/lpg/depsprefix/lib/pkgconfig:/home/Lionel_Debroux/lib/pkgconfig:
RANLIB = i686-w64-mingw32-ranlib
RC = i686-w64-mingw32-windres
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = i686-w64-mingw32-strip
TFDOCGEN = yes
VERSION = 1.1.4
abs_builddir = /home/debrouxl/tilp/libticonv/trunk/build/mingw
abs_srcdir = /home/debrouxl/tilp/libticonv/trunk/build/mingw
abs_top_builddir = /home/debrouxl/tilp/libticonv/trunk
abs_top_srcdir = /home/debrouxl/tilp/libticonv/trunk
ac_ct_AR = 
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-w64-mingw32
host_alias = i686-w64-mingw32
host_cpu = i686
host_os = mingw32
host_vendor = w64
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/debrouxl/tilp/libticonv/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/debrouxl/lpg/packages
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
BASE = ticonv
EXTRA_DIST = $(BASE).rc
noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu build/mingw/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am

RC	?= windres

all: $(BASE)-rc.o

$(BASE)-rc.o : $(BASE).rc
	$(RC) $(BASE).rc $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
libticonv (1.1.4-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to secure URI for vcs-field.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 02 Dec 2016 18:51:20 +0300

libticonv (1.1.4-2) unstable; urgency=low

  * Fix dh_clean in 'debian/rules': Replace spaces by tab.
  * Use dh-autoreconf.

 -- Andreas B. Mundt <andi@debian.org>  Sat, 10 Aug 2013 19:22:31 +0200

libticonv (1.1.4-1) unstable; urgency=low

  * Team maintained in Debian-Science now (closes: #678872).
  * New upstream release in cooperation with Albert Huang
    <alberth.debian@gmail.com>, thanks!
  * Add debug package to provide debugging symbols.
  * Add support for multiarch.
  * Add 'debian/watch' to enable upstream update tracking.
  * Fix 'debian/copyright' (closes: #686635).
  * Add library symbols.
  * Add doc-base entry for the installed HTML documentation.
  * Bump versions of libti* dependencies.
  * Switch to packaging format 3.0 (quilt), bump 'debian/compat' to 9.
  * Bump Standards-Version to 3.9.4.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 09 Aug 2013 22:09:30 +0200

libticonv (1.1.0-1.1) unstable; urgency=low

  [ Holger Levsen ]
  * Non-maintainer upload.
  * Fix debian/copyright and update it to dep5 (Closes: #686635), thanks to
    Tobias Bengfort for most of work.

 -- Holger Levsen <holger@debian.org>  Sat, 15 Sep 2012 16:23:41 +0000

libticonv (1.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #503103)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 24 May 2009 21:28:58 +0200

=== debian/control ===
Source: libticonv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               libglib2.0-dev,
               pkg-config,
               tfdocgen
Standards-Version: 3.9.8
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libticonv.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/libticonv.git

Package: libticonv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticonv7 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments calculators charsets library [development files]
 The libticonv is a library providing support for operations on Texas
 Instruments calculators charsets. All charsets for all calculators are
 supported; the library is also able to convert to/from UTF-8/UTF-16.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticonv7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libticonv3
Conflicts: libticonv3
Description: Texas Instruments calculators charsets library
 The libticonv is a library providing support for operations on Texas
 Instruments calculators charsets. All charsets for all calculators are
 supported; the library is also able to convert from/to UTF-8/UTF-16.
 .
 This package provides the shared library.

Package: libticonv-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libticonv7 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments calculators charsets library [debugging symbols]
 The libticonv is a library providing support for operations on Texas
 Instruments calculators charsets. All charsets for all calculators are
 supported; the library is also able to convert from/to UTF-8/UTF-16.
 .
 This package provides the debugging symbols for the library.

=== debian/watch ===
version=3
http://sf.net/tilp/libticonv-(.+)\.tar\.bz2

## libticonv 1.1.5

=== debian/changelog ===
libticonv (1.1.5-2) unstable; urgency=medium

  * Add upstream changelog to the installed files.
  * Implement autopkgtest.  Run upstream checks linked to installed libs.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 22 May 2018 17:54:53 +0300

libticonv (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5
  * Update debian/copyright, remove licenses not used anymore.
  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11, remove -dbg package entry.
  * Bump SONAME and update symbols file.
  * Update 'rules', fix undefined references to 'ticonv_iconv_*'.
  * Update watch file version.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 18 May 2018 13:48:36 +0300

=== debian/control ===
Source: libticonv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 11.0.0),
               libglib2.0-dev,
               pkg-config,
               tfdocgen
Standards-Version: 4.1.4
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: https://salsa.debian.org/science-team/libticonv.git
Vcs-Browser: https://salsa.debian.org/science-team/libticonv

Package: libticonv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticonv8 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments calculators charsets library [development files]
 The libticonv is a library providing support for operations on Texas
 Instruments calculators charsets. All charsets for all calculators are
 supported; the library is also able to convert to/from UTF-8/UTF-16.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticonv8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libticonv7
Conflicts: libticonv7
Description: Texas Instruments calculators charsets library
 The libticonv is a library providing support for operations on Texas
 Instruments calculators charsets. All charsets for all calculators are
 supported; the library is also able to convert from/to UTF-8/UTF-16.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-iconv

=== debian/tests/control ===
Tests: make-check
Depends: @builddeps@, libticonv-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
http://sf.net/tilp/libticonv-(.+)\.tar\.bz2

## libticonv 1.1.6~git20220301.8ffa244

=== debian/changelog ===
libticonv (1.1.6~git20220301.8ffa244-1) unstable; urgency=medium

  * Prepare for salsa-ci.
  * Document upstream sources and tarball handling.
  * New upstream version 1.1.6~git20220301.8ffa244
  * Bump Standards-Version and dh compat level (no changes needed).
  * Update upstream homepage URL.
  * Fix missing docs and some lintian complaints.
  * Bump SONAME and update symbols file.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 11 Aug 2022 18:08:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper (>= 11.0.0),
-               libglib2.0-dev,
-               pkg-config,
-               tfdocgen
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), libglib2.0-dev, pkg-config, tfdocgen
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://lpg.ticalc.org/prj_tilp/
+Homepage: https://github.com/debrouxl/tilibs
 Vcs-Git: https://salsa.debian.org/science-team/libticonv.git
 Vcs-Browser: https://salsa.debian.org/science-team/libticonv
 
@@ -17,7 +15,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libglib2.0-dev,
-         libticonv8 (= ${binary:Version}),
+         libticonv9 (= ${binary:Version}),
          pkg-config,
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,13 +27,13 @@
  This package provides the development files for the library, static library,
  required headers and documentation.
 
-Package: libticonv8
+Package: libticonv9
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libticonv7
-Conflicts: libticonv7
+Replaces: libticonv8
+Conflicts: libticonv8
 Description: Texas Instruments calculators charsets library
  The libticonv is a library providing support for operations on Texas
  Instruments calculators charsets. All charsets for all calculators are

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1.6~git%cd.%h" \
https://github.com/debrouxl/tilibs/ \
HEAD

## libticonv 1.1.6~git20221211.4646a7b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticonv
        VERSION     1.1.6
        LANGUAGES   CXX)

# Takes care of the i18n po/pot/gmo/mo files
i18n_mo_from_po_pot()

file(GLOB HEADER_FILES src/*.h)
set(SRC_FILES
        ${HEADER_FILES}
        src/charset.cc
        src/filename.cc
        src/iconv.c
        src/ticonv.cc
        src/tokens.cc
        src/type2str.cc)

set(PUBLIC_HEADERS
        src/ticonv.h
        src/export4.h
        src/charset.h)

option(USE_ICONV "Use libiconv at runtime for libticonv (whether to link with the lib)" ON)

# external deps lookup
pkg_check_modules(DEPS REQUIRED glib-2.0)

try_static_libs_if_needed()

# auto-creation of all targets with flags etc., alongside with internal deps
create_targets_both_lib_types(ticonv)

set_target_properties(ticonv_shared PROPERTIES VERSION 9.0.4 SOVERSION 9)

if(USE_ICONV)
    find_package(Iconv REQUIRED)
    # flags/link for external deps
    add_definitions(-DUSE_ICONV)
    if(Iconv_FOUND AND NOT Iconv_IS_BUILT_IN)
        target_include_directories(ticonv_objlib PRIVATE ${Iconv_INCLUDE_DIRS})
        target_link_libraries(ticonv_shared ${Iconv_LIBRARIES})
        target_link_libraries(ticonv_static ${Iconv_LIBRARIES})
    endif()
endif()

# public export define
target_compile_definitions(ticonv_objlib PUBLIC TICONV_EXPORTS)

# tests
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticonv-tests
        LANGUAGES   C CXX)

add_executable(torture_ticonv torture_ticonv.c)
add_executable(test_ticonv test_ticonv.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0)

foreach(tar torture_ticonv test_ticonv)
    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${CMAKE_SOURCE_DIR}/libticonv/trunk/src)

    target_link_libraries(${tar} ticonv_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
endforeach()

set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk")

add_custom_target(ticonv_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticonv
    DEPENDS torture_ticonv
    COMMENT "Run the ticonv torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libticonv (1.1.6~git20221211.4646a7b-1) unstable; urgency=medium

  * New upstream version 1.1.6~git20221211.4646a7b
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Sat, 24 Dec 2022 09:12:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-dev, pkg-config, tfdocgen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.1.6~git%cd.%h" \
https://github.com/debrouxl/tilibs/ \
HEAD debian debian/clean-orig-source

## libticonv 1.1.6~git20230505.27586cc

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticonv-tests
         LANGUAGES   C CXX)
@@ -14,7 +14,11 @@
     target_include_directories(${tar} PRIVATE
         ${CMAKE_SOURCE_DIR}/libticonv/trunk/src)
 
-    target_link_libraries(${tar} ticonv_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
+    target_link_directories(${tar} PRIVATE
+        ${DEPS_LIBRARY_DIRS}
+        ${CMAKE_BINARY_DIR}/libticonv/trunk)
+
+    target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_shared)
 endforeach()
 
 set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk")

=== debian/changelog ===
libticonv (1.1.6~git20230505.27586cc-1) unstable; urgency=medium

  * New upstream version 1.1.6~git20230505.27586cc
  * Remove files not cleaned up properly. (Closes: #1048728).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 16 Aug 2023 09:01:20 +0200

## libticonv 1.1.6~git20231126.f67c953

=== debian/changelog ===
libticonv (1.1.6~git20231126.f67c953-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:46:48 +0000

libticonv (1.1.6~git20231126.f67c953-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:30:27 +0000

libticonv (1.1.6~git20231126.f67c953-1) unstable; urgency=medium

  * New upstream version 1.1.6~git20231126.f67c953

 -- Andreas B. Mundt <andi@debian.org>  Fri, 05 Jan 2024 12:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libticonv
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-dev, pkg-config, tfdocgen
 Standards-Version: 4.6.2

## libticonv 1.1.6~git20240415.7c4858d

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticonv
         VERSION     1.1.6
@@ -37,11 +37,10 @@
 if(USE_ICONV)
     find_package(Iconv REQUIRED)
     # flags/link for external deps
-    add_definitions(-DUSE_ICONV)
+    add_compile_definitions(USE_ICONV)
     if(Iconv_FOUND AND NOT Iconv_IS_BUILT_IN)
         target_include_directories(ticonv_objlib PRIVATE ${Iconv_INCLUDE_DIRS})
         target_link_libraries(ticonv_shared ${Iconv_LIBRARIES})
-        target_link_libraries(ticonv_static ${Iconv_LIBRARIES})
     endif()
 endif()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(libticonv-tests
        LANGUAGES   C CXX)

add_executable(torture_ticonv torture_ticonv.c)
add_executable(test_ticonv test_ticonv.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0)
if(USE_ICONV)
    find_package(Iconv REQUIRED)
    # flags/link for external deps
    add_compile_definitions(USE_ICONV)
endif()

foreach(tar torture_ticonv test_ticonv)
    if(Iconv_FOUND AND NOT Iconv_IS_BUILT_IN)
        target_include_directories(${tar} PRIVATE ${Iconv_INCLUDE_DIRS})
        target_link_libraries(${tar} ${Iconv_LIBRARIES})
    endif()

    target_include_directories(${tar} PRIVATE
        ${PROJECT_SOURCE_DIR}/../src)

    if(TRY_STATIC_LIBS)
        target_compile_options(${tar} PRIVATE ${DEPS_STATIC_CFLAGS})
        target_link_directories(${tar} PRIVATE ${TRY_STATIC_DEPS_LIBSDIRS})
        target_link_libraries(${tar} ${TRY_STATIC_DEPS_LDFLAGS_OTHER} ${TRY_STATIC_DEPS_LIBS} ticonv_objlib)
    else()
        target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
        target_link_directories(${tar} PRIVATE ${DEPS_LIBRARY_DIRS} ${PROJECT_BINARY_DIR}/..)
        target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_objlib)
    endif()
endforeach()

set(builddirlibpaths "${PROJECT_BINARY_DIR}/..")

add_custom_target(ticonv_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticonv
    DEPENDS torture_ticonv
    COMMENT "Run the ticonv torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libticonv (1.1.6~git20240415.7c4858d-1) unstable; urgency=medium

  * New upstream version 1.1.6~git20240415.7c4858d
  * Switch to newer pkgconf.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 May 2024 18:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libticonv
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper-compat (= 13), libglib2.0-dev, pkg-config, tfdocgen
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libglib2.0-dev, pkgconf, tfdocgen
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs
@@ -17,7 +16,7 @@
 Multi-Arch: same
 Depends: libglib2.0-dev,
          libticonv9 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Texas Instruments calculators charsets library [development files]

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-iconv

=== debian/tests/control ===
Tests: make-check
Depends: libticonv-dev, @builddeps@
Restrictions: allow-stderr
